Mail
Typed corporate-mail shortcuts (mailboxes, aliases, catch-all, auto-responders, IMAP migrations, DNS, spam, delivery log, quarantine, deleted mail, archive, 2FA). Mailboxes are addressed by local part.
#GET/cloud/mail/{id}/mailboxes
GET mailboxes (GyroMail)Scope: services_readtyped_get_mail__id__mailboxesOpenAPI for this operation
Typed shortcut of the generic bridge: tool mailboxes. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/mailboxes
# resource gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }
resource "gyro_mail_mailbox" "info" {
service_id = data.gyro_services.mail.services[0].id
local_part = "info"
name = "Info"
quota_mb = 2048
password = var.info_password
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/mail/{id}/mailboxes
POST mailboxes:create (GyroMail)Scope: services_writetyped_post_mail__id__mailboxesOpenAPI for this operation
Typed shortcut of the generic bridge: tool mailboxes, action create. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request POST /cloud/mail/12345/mailboxes --data '{"confirm": true}'
# resource gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }
resource "gyro_mail_mailbox" "info" {
service_id = data.gyro_services.mail.services[0].id
local_part = "info"
name = "Info"
quota_mb = 2048
password = var.info_password
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#PATCH/cloud/mail/{id}/mailboxes/{local}
PATCH mailboxes:edit (GyroMail)Scope: services_writetyped_patch_mail__id__mailboxes__localOpenAPI for this operation
Typed shortcut of the generic bridge: tool mailboxes, action edit. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
local required | path | string | Mailbox local part (before @) |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X PATCH 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request PATCH /cloud/mail/12345/mailboxes/1 --data '{"confirm": true}'
# resource gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }
resource "gyro_mail_mailbox" "info" {
service_id = data.gyro_services.mail.services[0].id
local_part = "info"
name = "Info"
quota_mb = 2048
password = var.info_password
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.patch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", {
method: "PATCH",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#DELETE/cloud/mail/{id}/mailboxes/{local}
DELETE mailboxes:delete (GyroMail)Scope: services_writetyped_delete_mail__id__mailboxes__localOpenAPI for this operation
Typed shortcut of the generic bridge: tool mailboxes, action delete. Body fields are the tool's own fields. Needs "confirm": true.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
local required | path | string | Mailbox local part (before @) |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/mailboxes/1 --data '{"confirm": true}'
# resource gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }
resource "gyro_mail_mailbox" "info" {
service_id = data.gyro_services.mail.services[0].id
local_part = "info"
name = "Info"
quota_mb = 2048
password = var.info_password
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", {
method: "DELETE",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/mail/{id}/mailboxes/{local}/password
POST mailboxes:password (GyroMail)Scope: services_writetyped_post_mail__id__mailboxes__local__passwordOpenAPI for this operation
Typed shortcut of the generic bridge: tool mailboxes, action password. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
local required | path | string | Mailbox local part (before @) |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1/password' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro mail mailbox password 12345 --help # all flags
# resource gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }
resource "gyro_mail_mailbox" "info" {
service_id = data.gyro_services.mail.services[0].id
local_part = "info"
name = "Info"
quota_mb = 2048
password = var.info_password
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1/password", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1/password", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/aliases
GET aliases (GyroMail)Scope: services_readtyped_get_mail__id__aliasesOpenAPI for this operation
Typed shortcut of the generic bridge: tool aliases. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/aliases
# resource gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
service_id = 123
local_part = "sales"
goto = ["[email protected]", "[email protected]"]
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/mail/{id}/aliases
POST aliases:create (GyroMail)Scope: services_writetyped_post_mail__id__aliasesOpenAPI for this operation
Typed shortcut of the generic bridge: tool aliases, action create. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request POST /cloud/mail/12345/aliases --data '{"confirm": true}'
# resource gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
service_id = 123
local_part = "sales"
goto = ["[email protected]", "[email protected]"]
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#PATCH/cloud/mail/{id}/aliases/{aid}
PATCH aliases:edit (GyroMail)Scope: services_writetyped_patch_mail__id__aliases__aidOpenAPI for this operation
Typed shortcut of the generic bridge: tool aliases, action edit. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
aid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X PATCH 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request PATCH /cloud/mail/12345/aliases/1 --data '{"confirm": true}'
# resource gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
service_id = 123
local_part = "sales"
goto = ["[email protected]", "[email protected]"]
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.patch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", {
method: "PATCH",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#DELETE/cloud/mail/{id}/aliases/{aid}
DELETE aliases:delete (GyroMail)Scope: services_writetyped_delete_mail__id__aliases__aidOpenAPI for this operation
Typed shortcut of the generic bridge: tool aliases, action delete. Body fields are the tool's own fields. Needs "confirm": true.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
aid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/aliases/1 --data '{"confirm": true}'
# resource gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
service_id = 123
local_part = "sales"
goto = ["[email protected]", "[email protected]"]
}
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", {
method: "DELETE",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/catch-all
GET catch-all (GyroMail)Scope: services_readtyped_get_mail__id__catch_allOpenAPI for this operation
Typed shortcut of the generic bridge: tool catch-all. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/catch-all
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#PUT/cloud/mail/{id}/catch-all
PUT catch-all:edit (GyroMail)Scope: services_writetyped_put_mail__id__catch_allOpenAPI for this operation
Typed shortcut of the generic bridge: tool catch-all, action edit. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X PUT 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro mail catch-all set 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.put("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", {
method: "PUT",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/autoresponders
GET autoresponder (GyroMail)Scope: services_readtyped_get_mail__id__autorespondersOpenAPI for this operation
Typed shortcut of the generic bridge: tool autoresponder. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/autoresponders
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#PUT/cloud/mail/{id}/autoresponders/{local}
PUT autoresponder:edit (GyroMail)Scope: services_writetyped_put_mail__id__autoresponders__localOpenAPI for this operation
Typed shortcut of the generic bridge: tool autoresponder, action edit. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
local required | path | string | Mailbox local part (before @) |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X PUT 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro mail autoresponder set 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.put("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", {
method: "PUT",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#DELETE/cloud/mail/{id}/autoresponders/{local}
DELETE autoresponder:delete (GyroMail)Scope: services_writetyped_delete_mail__id__autoresponders__localOpenAPI for this operation
Typed shortcut of the generic bridge: tool autoresponder, action delete. Body fields are the tool's own fields. Needs "confirm": true.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
local required | path | string | Mailbox local part (before @) |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/autoresponders/1 --data '{"confirm": true}'
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", {
method: "DELETE",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/migrations
GET sync-jobs (GyroMail)Scope: services_readtyped_get_mail__id__migrationsOpenAPI for this operation
Typed shortcut of the generic bridge: tool sync-jobs. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/migrations
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/mail/{id}/migrations
POST sync-jobs:create (GyroMail)Scope: services_writetyped_post_mail__id__migrationsOpenAPI for this operation
Typed shortcut of the generic bridge: tool sync-jobs, action create. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request POST /cloud/mail/12345/migrations --data '{"confirm": true}'
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/mail/{id}/migrations/{jid}/run
POST sync-jobs:run (GyroMail)Scope: services_writetyped_post_mail__id__migrations__jid__runOpenAPI for this operation
Typed shortcut of the generic bridge: tool sync-jobs, action run. Body fields are the tool's own fields. Needs "confirm": true.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
jid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1/run' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro mail migration run 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1/run", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1/run", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#DELETE/cloud/mail/{id}/migrations/{jid}
DELETE sync-jobs:delete (GyroMail)Scope: services_writetyped_delete_mail__id__migrations__jidOpenAPI for this operation
Typed shortcut of the generic bridge: tool sync-jobs, action delete. Body fields are the tool's own fields. Needs "confirm": true.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
jid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/migrations/1 --data '{"confirm": true}'
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1", {
method: "DELETE",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/dns
GET dns-setup (GyroMail)Scope: services_readtyped_get_mail__id__dnsOpenAPI for this operation
Typed shortcut of the generic bridge: tool dns-setup. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/dns
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/mail/{id}/dns/verify
POST dns-setup:verify (GyroMail)Scope: services_writetyped_post_mail__id__dns_verifyOpenAPI for this operation
Typed shortcut of the generic bridge: tool dns-setup, action verify. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns/verify' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro mail dns verify 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns/verify", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns/verify", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/spam-filter
GET spam-filter (GyroMail)Scope: services_readtyped_get_mail__id__spam_filterOpenAPI for this operation
Typed shortcut of the generic bridge: tool spam-filter. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/spam-filter' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro mail spam-filter get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/spam-filter", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/spam-filter", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/delivery-log
GET delivery-log (GyroMail)Scope: services_readtyped_get_mail__id__delivery_logOpenAPI for this operation
Typed shortcut of the generic bridge: tool delivery-log. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/delivery-log' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro mail delivery-log get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/delivery-log", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/delivery-log", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/quarantine
GET quarantine (GyroMail)Scope: services_readtyped_get_mail__id__quarantineOpenAPI for this operation
Typed shortcut of the generic bridge: tool quarantine. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/quarantine' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro mail quarantine get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/quarantine", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/quarantine", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/deleted
GET deleted-mail (GyroMail)Scope: services_readtyped_get_mail__id__deletedOpenAPI for this operation
Typed shortcut of the generic bridge: tool deleted-mail. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/deleted' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro mail deleted get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/deleted", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/deleted", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/archive
GET archive (GyroMail)Scope: services_readtyped_get_mail__id__archiveOpenAPI for this operation
Typed shortcut of the generic bridge: tool archive. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/archive' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro mail archive get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/archive", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/archive", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/two-factor
GET two-factor (GyroMail)Scope: services_readtyped_get_mail__id__two_factorOpenAPI for this operation
Typed shortcut of the generic bridge: tool two-factor. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/two-factor' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro mail two-factor get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/two-factor", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/two-factor", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/mail/{id}/plan
GET plan-size (GyroMail)Scope: services_readtyped_get_mail__id__planOpenAPI for this operation
Typed shortcut of the generic bridge: tool plan-size. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/plan' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro mail plan get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/plan", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/plan", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);